The Ongoing Monitoring API allows you to manage and retrieve updates for continuous background checks. When ongoing monitoring is enabled during a verification request (enableOngoingMonitoring: true), the system monitors the individual on a daily basis to identify new PEP & Sanctions, Adverse Media, or Watchlist events. Alerts are sent to the subscribed return URL whenever there is a status change, and results can be retrieved using the relevant endpoints.
Retrieving monitoring results
Endpoint:
GET /api/v1/ongoingmonitoring/{correlationId}
Description:
Retrieves the verification statuses and results for a specific ongoing monitoring record using the correlationId provided during the initial verification request.
Path parameters:
correlationId (string, required): The unique ID associated with the monitoring request.
Query Parameters:
fromDate (date-time, optional): Filter results starting from this date.
toDate (date-time, optional): Filter results up to this date.
GET - Get monitoring verification statuses and result for a verification process
get
Authorizations
AuthorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: "Authorization: bearer {token}". You authenticate to the Tiller WealthXcel Verification API by providing your bearer token in the request header. Tiller WealthXcel Verification API requires the use of an access token used for requests made to the server side.
Path parameters
correlationIdstring · uuidRequired
Query parameters
fromDatestring · date-timeOptional
toDatestring · date-timeOptional
Responses
200
Ok request
application/json
Verification Result DTO
correlationIdstring · uuidOptional
ID of the correlation
externalReferenceIdstring · nullableOptional
External reference ID
400
Missing/invalid values
application/json
404
Verification result not found
application/json
500
Internal server error
get
/api/v1/ongoingmonitoring/{correlationId}
Subcribing to the Monitoring Service
Endpoint:
POST /api/v1/ongoingmonitoring/subscribe
Description:
Subscribes to the ongoing monitoring service by registering a return URL and API key. This URL will receive webhook notifications for updates in monitored results.
Post - add / update subscription
post
Authorizations
AuthorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: "Authorization: bearer {token}". You authenticate to the Tiller WealthXcel Verification API by providing your bearer token in the request header. Tiller WealthXcel Verification API requires the use of an access token used for requests made to the server side.
Body
Subscriber Request Model
returnUrlstring · nullableOptional
Request Url
apiKeystring · nullableOptional
Api Key
Responses
200
OK
application/json
Verification Result DTO
correlationIdstring · uuidOptional
ID of the correlation
externalReferenceIdstring · nullableOptional
External reference ID
303
See Other
400
Bad Request
application/json
408
Request Timeout
application/json
500
Internal Server Error
post
/api/v1/ongoingmonitoring/subscribe
Unsubscribe from the Monitoring Service
Endpoint:
POST /api/v1/ongoingmonitoring/unsubscribe
Description:
Unsubscribes the provided return URL from ongoing monitoring. After unsubscribing, you will no longer receive updates for monitored profiles.
Unsubscribe the subscription
post
Authorizations
AuthorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: "Authorization: bearer {token}". You authenticate to the Tiller WealthXcel Verification API by providing your bearer token in the request header. Tiller WealthXcel Verification API requires the use of an access token used for requests made to the server side.